<?php
function color_chart_dark() {
?>
<table>
<?php
// 赤
	$color_tbl = array();
		$color_tbl[] = array("Palevioletred", "#DB7093");
		$color_tbl[] = array("LightCoral", "#F08080");
		$color_tbl[] = array("Hotpink", "#FF69B4");
		$color_tbl[] = array("Deeppink", "#FF1493");
		$color_tbl[] = array("Crimson", "#DC143C");
		$color_tbl[] = array("Orangered", "#FF4500");
		$color_tbl[] = array("Red", "#FF0000");
		$color_tbl[] = array("Salmon", "#FA8072");
		$color_tbl[] = array("Tomato", "#FF6347");
		$color_tbl[] = array("Coral", "#FF7F50");
		$color_tbl[] = array("Lightsalmon", "#FFA07A");
	color_chart_print($color_tbl, "#ffffff");
// オレンジ
	$color_tbl = array();
	color_chart_print($color_tbl, "#ffffff");
// 黄
	$color_tbl = array();
		$color_tbl[] = array("Darkorange", "#FF8C00");
		$color_tbl[] = array("Sandybrown", "#F4A460");
		$color_tbl[] = array("Orange", "#FFA500");
	color_chart_print($color_tbl, "#ffffff");
// 茶
	$color_tbl = array();
		$color_tbl[] = array("Darksalmon", "#E9967A");
		$color_tbl[] = array("RosyBrown", "#BC8F8F");
		$color_tbl[] = array("Indianred", "#CD5C5C");
		$color_tbl[] = array("FireBrick", "#B22222");
		$color_tbl[] = array("Brown", "#A52A2A");
		$color_tbl[] = array("Darkred", "#8B0000");
		$color_tbl[] = array("Maroon", "#800000");
		$color_tbl[] = array("Saddlebrown", "#8B4513");
		$color_tbl[] = array("Sienna", "#A0522D");
		$color_tbl[] = array("DarkGoldenrod", "#B8860B");
		$color_tbl[] = array("Chocolate", "#D2691E");
		$color_tbl[] = array("Peru", "#CD853F");
		$color_tbl[] = array("Goldenrod", "#DAA520");
	color_chart_print($color_tbl, "#ffffff");
// 緑
	$color_tbl = array();

		$color_tbl[] = array("Olive", "#808000");
		$color_tbl[] = array("Darkolivegreen", "#556B2F");
		$color_tbl[] = array("Olivedrab", "#6B8E23");
		$color_tbl[] = array("Yellowgreen", "#9ACD32");
		$color_tbl[] = array("Limegreen", "#32CD32");


		$color_tbl[] = array("Mediumseagreen", "#3CB371");

		$color_tbl[] = array("Forestgreen", "#228B22");
		$color_tbl[] = array("Green", "#008000");
		$color_tbl[] = array("Darkgreen", "#006400");
		$color_tbl[] = array("Seagreen", "#2E8B57");
	color_chart_print($color_tbl, "#ffffff");
// 青
	$color_tbl = array();
		$color_tbl[] = array("Teal", "#008080");
		$color_tbl[] = array("Darkcyan", "#008B8B");
		$color_tbl[] = array("Cadetblue", "#5F9EA0");
		$color_tbl[] = array("Lightseagreen", "#20B2AA");
		$color_tbl[] = array("Darkturquoise", "#00CED1");
		$color_tbl[] = array("Mediumturquoise", "#48D1CC");
		$color_tbl[] = array("Mediumaquamarine", "#66CDAA");
		$color_tbl[] = array("Turquoise", "#40E0D0");

		$color_tbl[] = array("Deepskyblue", "#00BFFF");
		$color_tbl[] = array("Dodgerblue", "#1E90FF");
		$color_tbl[] = array("Cornflowerblue", "#6495ED");
		$color_tbl[] = array("Blue", "#0000FF");
		$color_tbl[] = array("Mediumblue", "#0000CD");
		$color_tbl[] = array("Royalblue", "#4169E1");

		$color_tbl[] = array("Steelblue", "#4682B4");
	color_chart_print($color_tbl, "#ffffff");
// 紫
	$color_tbl = array();
		$color_tbl[] = array("Mediumslateblue", "#7B68EE");
		$color_tbl[] = array("Slateblue", "#6A5ACD");
		$color_tbl[] = array("Mediumpurple", "#9370DB");
		$color_tbl[] = array("Blueviolet", "#8A2BE2");
		$color_tbl[] = array("Darkslateblue", "#483D8B");
		$color_tbl[] = array("Indigo", "#4B0082");
		$color_tbl[] = array("Purple", "#800080");
		$color_tbl[] = array("Darkmagenta", "#8B008B");
		$color_tbl[] = array("Darkviolet", "#9400D3");
		$color_tbl[] = array("Darkorchid", "#9932CC");
		$color_tbl[] = array("Mediumorchid", "#BA55D3");
		$color_tbl[] = array("Orchid", "#DA70D6");

		$color_tbl[] = array("Violet", "#EE82EE");
		$color_tbl[] = array("Fuchsia", "#FF00FF");
		$color_tbl[] = array("Magenta", "#FF00FF");
		$color_tbl[] = array("Mediumvioletred", "#C71585");
	color_chart_print($color_tbl, "#ffffff");
// 濃色
	$color_tbl = array();
		$color_tbl[] = array("Darkblue", "#00008B");
		$color_tbl[] = array("Navy", "#000080");
		$color_tbl[] = array("Midnightblue", "#191970");
	color_chart_print($color_tbl, "#ffffff");
// モノトーン
	$color_tbl = array();
		$color_tbl[] = array("DarkSlategray", "#2F4F4F");
		$color_tbl[] = array("Slategray", "#708090");
		$color_tbl[] = array("Lightslategray", "#778899");
		$color_tbl[] = array("Black", "#000000");
		$color_tbl[] = array("Dimgray", "#696969");
		$color_tbl[] = array("Gray", "#808080");
	color_chart_print($color_tbl, "#ffffff");
?>
</table>
<?php
}
?>
<?php
function color_chart_pale() {
?>
<table>
<?php
// 赤
	$color_tbl = array();
		$color_tbl[] = array("Pink", "#FFC0CB");
		$color_tbl[] = array("Lightpink", "#FFB6C1");
		$color_tbl[] = array("Mistyrose", "#FFE4E1");
		$color_tbl[] = array("Lavenderblush", "#FFF0F5");
	color_chart_print($color_tbl, "#808080");
// オレンジ
	$color_tbl = array();
	color_chart_print($color_tbl, "#808080");
// 黄
	$color_tbl = array();
		$color_tbl[] = array("Gold", "#FFD700");
		$color_tbl[] = array("Yellow", "#FFFF00");
	color_chart_print($color_tbl, "#808080");
// 茶
	$color_tbl = array();
		$color_tbl[] = array("Oldlace", "#FDF5E6");
		$color_tbl[] = array("Linen", "#FAF0E6");
		$color_tbl[] = array("Antiquewhite", "#FAEBD7");
		$color_tbl[] = array("Papayawhip", "#FFEFD5");
		$color_tbl[] = array("Blanchedalmond", "#FFEBCD");
		$color_tbl[] = array("Bisque", "#FFE4C4");
		$color_tbl[] = array("Moccasin", "#FFE4B5");
		$color_tbl[] = array("Navajowhite", "#FFDEAD");
		$color_tbl[] = array("Peachpuff", "#FFDAB9");

		$color_tbl[] = array("Beige", "#F5F5DC");
		$color_tbl[] = array("Cornsilk", "#FFF8DC");
		$color_tbl[] = array("Lightyellow", "#FFFFE0");
		$color_tbl[] = array("Lightgoldenrodyellow", "#FAFAD2");
		$color_tbl[] = array("Lemonchiffon", "#FFFACD");
		$color_tbl[] = array("Wheat", "#F5DEB3");
		$color_tbl[] = array("Burlywood", "#DEB887");
		$color_tbl[] = array("Tan", "#D2B48C");
	color_chart_print($color_tbl, "#808080");
// 緑
	$color_tbl = array();
		$color_tbl[] = array("Khaki", "#F0E68C");
		$color_tbl[] = array("Palegoldenrod", "#EEE8AA");
		$color_tbl[] = array("Darkkhaki", "#BDB76B");
		$color_tbl[] = array("Palegreen", "#98FB98");
		$color_tbl[] = array("LightGreen", "#90EE90");
		$color_tbl[] = array("Lime", "#00FF00");
		$color_tbl[] = array("Lawngreen", "#7CFC00");
		$color_tbl[] = array("Chartreuse", "#7FFF00");
		$color_tbl[] = array("Greenyellow", "#ADFF2F");
		$color_tbl[] = array("Springgreen", "#00FF7F");
		$color_tbl[] = array("Mediumspringgreen", "#00FA9A");
		$color_tbl[] = array("Darkseagreen", "#8FBC8F");
	color_chart_print($color_tbl, "#808080");
// 青
	$color_tbl = array();
		$color_tbl[] = array("Aquamarine", "#7FFFD4");
		$color_tbl[] = array("LightCyan", "#E0FFFF");

		$color_tbl[] = array("Aqua", "#00FFFF");
		$color_tbl[] = array("Cyan", "#00FFFF");
		$color_tbl[] = array("Paleturquoise", "#AFEEEE");
		$color_tbl[] = array("Powderblue", "#B0E0E6");
		$color_tbl[] = array("Lightblue", "#ADD8E6");
		$color_tbl[] = array("Skyblue", "#87CEFA");
		$color_tbl[] = array("Lightskyblue", "#87CEEB");
		$color_tbl[] = array("Lightsteelblue", "#80C4DE");
	color_chart_print($color_tbl, "#808080");
// 紫
	$color_tbl = array();
		$color_tbl[] = array("Lavender", "#E6E6FA");

		$color_tbl[] = array("Plum", "#DDA0DD");
		$color_tbl[] = array("Thistle", "#D8BFD8");
	color_chart_print($color_tbl, "#808080");
// 淡色
	$color_tbl = array();
		$color_tbl[] = array("HoneyDew", "#F0FFF0");
		$color_tbl[] = array("Mintcream", "#F5FFFA");
		$color_tbl[] = array("Azure", "#F0FFFF");
		$color_tbl[] = array("Aliceblue", "#F0F8FF");
		$color_tbl[] = array("Snow", "#FFFAFA");
		$color_tbl[] = array("Ghostwhite", "#F8F8FF");
		$color_tbl[] = array("Floralwhite", "#FFFAF0");
		$color_tbl[] = array("Seashell", "#FFF5EE");
		$color_tbl[] = array("Ivory", "#FFFFF0");
	color_chart_print($color_tbl, "#808080");
// モノトーン
	$color_tbl = array();

		$color_tbl[] = array("Darkgray", "#A9A9A9");
		$color_tbl[] = array("Silver", "#C0C0C0");
		$color_tbl[] = array("Lightgrey", "#D3D3D3");
		$color_tbl[] = array("Gainsboro", "#DCDCDC");
		$color_tbl[] = array("Whitesmoke", "#F5F5F5");
		$color_tbl[] = array("White", "#FFFFFF");
	color_chart_print($color_tbl, "#808080");
?>
</table>
<?php
}
?>
<?php
function color_chart_print($color_tbl, $bg_color) {
	foreach ($color_tbl as $color) {
?>
		<tr>
		<td style="background-color:<?= $bg_color ?>; color:<?= $color[0] ?>;"><?= $color[0] ?></td>
		<td style="background-color:#ffffff; color:<?= $color[1] ?>;"><?= $color[1] ?></td>
		<td style="background-color:<?= $color[1] ?>; color:#000000;"><?= $color[1] ?></td>
		<td style="background-color:<?= $color[1] ?>; color:#ffffff;"><?= $color[1] ?></td>
		</tr>
<?php
	}
}
?>
